# Elf32_Phdr Struct Reference

`#include <tools/elftypes.h>`

## Data Fields

Elf32_Word | p_type
Elf32_Off | p_offset
Elf32_Addr | p_vaddr
Elf32_Addr | p_paddr
Elf32_Word | p_filesz
Elf32_Word | p_memsz
Elf32_Word | p_flags
Elf32_Word | p_align

## Field Documentation

Elf32_Word Elf32_Phdr::p_align

Elf32_Word Elf32_Phdr::p_filesz

Elf32_Word Elf32_Phdr::p_flags

Elf32_Word Elf32_Phdr::p_memsz

Elf32_Off Elf32_Phdr::p_offset

Elf32_Addr Elf32_Phdr::p_paddr

Elf32_Word Elf32_Phdr::p_type

Elf32_Addr Elf32_Phdr::p_vaddr

The documentation for this struct was generated from the following file:

- tools/elftypes.h